MibbleBrowser (Mibble 2.10.1 Documentation)
Date: 2017-02-20

net.percederberg.mibble

## Class MibbleBrowser

- java.lang.Object
- - net.percederberg.mibble.MibbleBrowser

-     public class MibbleBrowser
      extends java.lang.Object

  A program for browsing MIB files in a GUI.
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MibLoader` | `loader` The MIB loader to use.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MibbleBrowser()` Creates a new browser application.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MibValueSymbol` | `findMibSymbol(java.lang.String oid)` Searches the OID tree from the loaded MIB files for the best matching value.
    `java.util.Properties` | `getBuildInfo()` Returns the application build information.
    `java.util.Collection<Mib>` | `loadMib(java.lang.String src)` Loads MIB file or URL.
    `static void` | `main(java.lang.String[] args)` The application main entry point.
    `void` | `start(java.lang.String[] args)` Starts this application.
    `void` | `unloadAllMibs()` Unloads all loaded MIB files.
    `void` | `unloadMib(Mib mib)` Unloads a loaded MIB module.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### loader

          public MibLoader loader

      The MIB loader to use.

  - ### Constructor Detail

    - #### MibbleBrowser

          public MibbleBrowser()

      Creates a new browser application.

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      The application main entry point.
      Parameters:
        `args` - the command-line parameters

    - #### start

          public void start(java.lang.String[] args)

      Starts this application.
      Parameters:
        `args` - the command-line arguments

    - #### getBuildInfo

          public java.util.Properties getBuildInfo()

      Returns the application build information.
      Returns:
        the application build information

    - #### loadMib

          public java.util.Collection<Mib> loadMib(java.lang.String src)
                                            throws java.io.IOException,
                                                   MibLoaderException

      Loads MIB file or URL. If the MIB file was already loaded, the previously loaded MIB modules will be returned.
      Parameters:
        `src` - the MIB file or URL
      Returns:
        a collection of the MIB modules found
      Throws:
        `java.io.IOException` - if the MIB file couldn't be found in the MIB search path
        `MibLoaderException` - if the MIB file couldn't be loaded correctly

    - #### unloadMib

          public void unloadMib(Mib mib)

      Unloads a loaded MIB module.
      Parameters:
        `mib` - the MIB module

    - #### unloadAllMibs

          public void unloadAllMibs()

      Unloads all loaded MIB files.
      Since:
        2.9

    - #### findMibSymbol

          public MibValueSymbol findMibSymbol(java.lang.String oid)

      Searches the OID tree from the loaded MIB files for the best matching value. The returned OID symbol will have the longest matching OID value, but doesn't have to be an exact match. The search requires the full numeric OID value (from the root).
      Parameters:
        `oid` - the numeric OID string to search for
      Returns:
        the best matching OID symbol, or null if no partial match was found
      Since:
        2.10
      See Also:
        `MibLoader.getOid(String)`